<template>
    <template if:true={deliveryList}>
        <template if:true={deliveryList.isSuccess}>
            <div style="height: 300px;">
                <lightning-datatable key-field="id" data={deliveryList.d.results} hide-checkbox-column="hide-checkbox-column" columns={columns}></lightning-datatable>
            </div>
        </template>
        <template if:false={deliveryList.isSuccess}>
            {deliveryList.errorMessage}
        </template>
    </template>
    <template if:false={deliveryList}>
        <lightning-spinner alternative-text="Loading"></lightning-spinner>
    </template>
</template>